Bug 1418892 - Unify hosts task can delete live managed virtual machines
Summary: Unify hosts task can delete live managed virtual machines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1418890
Blocks: 1316897 1426418
TreeView+ depends on / blocked
 
Reported: 2017-02-03 01:29 UTC by Justin Sherrill
Modified: 2020-06-11 13:16 UTC (History)
14 users (show)

Fixed In Version: tfm-rubygem-katello-3.0.0.115-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1418890
: 1426418 (view as bug list)
Environment:
Last Closed: 2017-05-01 13:58:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18388 0 Urgent Closed Unify hosts task can delete live managed virtual machines 2020-09-15 13:45:45 UTC
Red Hat Knowledge Base (Solution) 1504603 0 None None None 2017-02-04 16:23:46 UTC
Red Hat Product Errata RHBA-2017:1191 0 normal SHIPPED_LIVE Satellite 6.2.9 Async Bug Release 2017-05-01 17:49:42 UTC

Comment 2 Justin Sherrill 2017-02-03 16:15:37 UTC
Created redmine issue http://projects.theforeman.org/issues/18388 from this bug

Comment 4 pm-sat@redhat.com 2017-02-03 17:19:02 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 5 pm-sat@redhat.com 2017-02-03 17:19:07 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 6 pm-sat@redhat.com 2017-02-12 09:20:32 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18388 has been resolved.

Comment 9 pm-sat@redhat.com 2017-02-23 21:11:39 UTC
Please add verifications steps for this bug to help QE verify

Comment 11 jcallaha 2017-03-30 19:14:18 UTC
I registered a vmware host to satellite, along with it being reported by virt-who. I then shortened its hostname. Next, I associated the host to it's corresponding vm in the compute resource, and made it managed by satellite. Then, I created/registered a new host with a hostname that is an expansion of the first host's short name. 

At this point, I ran the unify hosts task. As a result, the hosts were correctly not unified.

Comment 12 jcallaha 2017-03-30 20:02:39 UTC
Continuing, I unregistered the original host and managed the second, then re-ran the command.

-bash-4.1# foreman-rake katello:unify_hosts USE_NAME=true
...
Host dhcp-10-12-211-60.fake.domain.com is registered with subscription-manager but is managed, please un-unmanage this host first.

Verified in Satellite 6.2.9 Snap 2.

Comment 14 errata-xmlrpc 2017-05-01 13:58:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1191


Note You need to log in before you can comment on or make changes to this bug.